<?php include('partie1_admin.php');?>
<div id="coverer" align="center">
<h2><img src="img/fleche.gif" style="margin-bottom:-10px;" height="40" width="40">&nbsp;Historique</h2>
<a href="liste_historique.php"><p class="bouton_design" style="display:inline-block; color:#fff;">Retour</p></a>

<?php
include('connexion_mysql.php');
if (isset($_GET['modifier_news'])) // Si on demande de modifier une news

{
// On protège la variable « modifier_news » pour éviter une faille SQL.

$_GET['modifier_news'] =mysql_real_escape_string(htmlspecialchars($_GET['modifier_news']));
// On récupère les informations de la news correspondante.
$retour = mysql_query('SELECT * FROM do_ribla WHERE type="historique" AND id=\'' .
$_GET['modifier_news'] . '\'');
$donnees = mysql_fetch_array($retour);
// On place le titre et le contenu dans des variables simples.
$titre = stripslashes($donnees['titre']);
$contenu = stripslashes($donnees['contenu']);
$date = stripslashes($donnees['date']);
$image = stripslashes($donnees['image']);

$id_news = $donnees['id']; // Cette variable va servir pour se souvenir que c'est une modification.

}else // C'est qu'on rédige une nouvelle news.
{
// Les variables $titre et $contenu sont vides, puisque c'est une nouvelle news.

$titre = '';
$contenu = '';
$date = '';
$image = '';
$date = '';
$id_news = 0; // La variable vaut 0, donc on se souviendra que ce n'est pas une modification.

}?>
<form action="liste_historique.php" method="post" enctype="multipart/form-data">
<p>Titre : <br /><input type="text" size="30" name="titre" value="<?php
echo $titre; ?>" /></p>

<p>
image :&nbsp;
<input type="file" name="image" /><br />
</p>


Contenu  :<br />
<textarea name="contenu"" style="width:400px; height:300px;">
<?php echo $contenu; ?>
</textarea><br />


<input type="hidden" name="id_news" value="<?php echo $id_news;
?>" /><br /><input type="hidden" name="date" value="<?php echo date("d/m/Y"); 
?>" />

<input type="submit" value="Envoyer" />
</p>
</form>

<?php include('partie3_admin.php'); ?>